%global realname protobuffs
%global upstream basho


Name:		erlang-%{realname}
Version:	0.9.2
Release:	%mkrel 2
BuildArch:	noarch
Summary:	A set of Protocol Buffers tools and modules for Erlang applications
Group:		Development/Erlang
License:	MIT
URL:		https://github.com/%{upstream}/erlang_%{realname}
VCS:		scm:git:https://github.com/%{upstream}/erlang_%{realname}.git
Source0:	https://github.com/%{upstream}/erlang_%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Source1:	erlang-protobuffs-protoc-erl
BuildRequires:	erlang-meck
# It seems that PropEr support was broken for a very long time. See this PR for
# further details - https://github.com/basho/erlang_protobuffs/issues/100
#BuildRequires:	erlang-proper
BuildRequires:	erlang-rebar


%description
A set of Protocol Buffers tools and modules for Erlang applications.


%prep
%autosetup -p1 -n erlang_%{realname}-%{version}


%build
%{erlang_compile}


%install
%{erlang_install}
# Install Erlang protobuf compiler script
install -D -p -m 0755 %{SOURCE1} %{buildroot}%{_bindir}/protoc-erl


%if 0
%check
%{erlang_test}
%endif


%files
%license LICENSE
%doc AUTHORS CONTRIBUTING.md README.md README_ORIG.md RELNOTES.md
%{_bindir}/protoc-erl
%{erlang_appdir}/


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 0.9.2-2.mga9
+ Revision: 1838910
- Mageia 9 Mass Rebuild

* Sun Dec 20 2020 wally <wally> 0.9.2-1.mga8
+ Revision: 1661755
- new version 0.9.2
- make pkg noarch

* Wed Feb 12 2020 umeabot <umeabot> 0.9.1-2.mga8
+ Revision: 1511356
- Mageia 8 Mass Rebuild

* Sat Sep 22 2018 wally <wally> 0.9.1-1.mga7
+ Revision: 1296382
- new version 0.9.1 (sync with Fedora)

* Fri May 06 2016 neoclust <neoclust> 0.8.2-2.mga6
+ Revision: 1009776
- Rebuild post boostrap
- imported package erlang-protobuffs

